# -*- coding: utf-8 -*-
from setuphelpers import *


packages_to_remove_dict_list = [
    {
        "name": "adobereader",
        "version": "2021.1.200150",
        "remove_newer": False,
    },
    # {
    #     "name": "pdfcreator",
    #     "version": "3.2.0",
    #     "remove_newer": True,
    # },
]


def install():
    package_prefix = control.package.split("-", 1)[0]
    for package_remove in packages_to_remove_dict_list:
        read_package = WAPT.is_installed("%s-%s" % (package_prefix, package_remove["name"]))
        to_remove = False
        if read_package:
            if package_remove["remove_newer"]:
                if Version(read_package.get_software_version()) > Version(package_remove["version"]):
                    to_remove = True
            else:
                if Version(read_package.get_software_version()) == Version(package_remove["version"]):
                    to_remove = True
            if to_remove:
                WAPT.forget_packages(package_remove["name"])
                WAPT.install(package_remove["name"])
